org.apache.ignite.internal.binary

## Class BinaryEnumCache

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryEnumCache

    public class BinaryEnumCache
    extends Object

Cache for enum constants.

### Constructor Summary

Constructors
Constructor and Description
`BinaryEnumCache()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clear()` Clears cache.
`static <T> T` `get(Class<?> cls, int ord)` Get value for the given class and ordinal.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryEnumCache

    public BinaryEnumCache()

### Method Detail

#### get

    public static <T> T get(Class<?> cls,
                            int ord)
                     throws BinaryObjectException

Get value for the given class and ordinal.

Parameters:
  `cls` - Class.
  `ord` - Ordinal.
Returns:
  Value.
Throws:
  `BinaryObjectException` - In case of invalid ordinal.

#### clear

    public static void clear()

Clears cache.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018